/*
 * @(#) EventLogHandler.java Nov 24, 2003 Copyright (c) 2002-2005 Delft
 * University of Technology Jaffalaan 5, 2628 BX Delft, the Netherlands. All
 * rights reserved. This software is proprietary information of Delft University
 * of Technology The code is published under the Lesser General Public License
 */
package nl.tudelft.simulation.dsol.gui.applets;

import java.io.FileDescriptor;
import java.security.Permission;

/**
 * A DSOLSecurityManager <br>
 * (c) copyright 2002-2005 <a href="http://www.simulation.tudelft.nl">Delft
 * University of Technology </a>, the Netherlands. <br>
 * See for project information <a
 * href="http://www.simulation.tudelft.nl">www.simulation.tudelft.nl </a> <br>
 * License of use: <a href="http://www.gnu.org/copyleft/lesser.html">Lesser
 * General Public License (LGPL) </a>, no warranty.
 * 
 * @version $Revision: 1.8 $ $Date: 2005/08/09 10:41:05 $
 * @author <a href="http://www.peter-jacobs.com">Peter Jacobs </a>
 */
public class DSOLSecurityManager extends java.lang.SecurityManager
{
    /**
     * constructs a new DSOLSecurityManager
     */
    public DSOLSecurityManager()
    {
        super();
    }

    /**
     * @see java.lang.SecurityManager#checkPropertyAccess(java.lang.String)
     */
    @Override
    public void checkPropertyAccess(final String key)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkRead(java.io.FileDescriptor)
     */
    @Override
    public void checkRead(final FileDescriptor fd)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkRead(java.lang.String,
     *      java.lang.Object)
     */
    @Override
    public void checkRead(final String file, final Object context)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkRead(java.lang.String)
     */
    @Override
    public void checkRead(final String file)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkConnect(java.lang.String, int,
     *      java.lang.Object)
     */
    @Override
    public void checkConnect(final String host, final int port,
            final Object context)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkConnect(java.lang.String, int)
     */
    @Override
    public void checkConnect(final String host, final int port)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkCreateClassLoader()
     */
    @Override
    public void checkCreateClassLoader()
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkAccept(java.lang.String, int)
     */
    @Override
    public void checkAccept(final String host, final int port)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkAccess(java.lang.Thread)
     */
    @Override
    public void checkAccess(final Thread t)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkAccess(java.lang.ThreadGroup)
     */
    @Override
    public void checkAccess(final ThreadGroup g)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkLink(java.lang.String)
     */
    @Override
    public void checkLink(final String lib)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkMemberAccess(java.lang.Class, int)
     */
    @Override
    public void checkMemberAccess(final Class clazz, final int which)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkPackageAccess(java.lang.String)
     */
    @Override
    public void checkPackageAccess(final String pkg)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkPackageDefinition(java.lang.String)
     */
    @Override
    public void checkPackageDefinition(final String pkg)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkPermission(java.security.Permission,
     *      java.lang.Object)
     */
    @Override
    public void checkPermission(final Permission perm, final Object context)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkPermission(java.security.Permission)
     */
    @Override
    public void checkPermission(final Permission perm)
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkPropertiesAccess()
     */
    @Override
    public void checkPropertiesAccess()
    {
        // The security manager accepts operation of this kind
    }

    /**
     * @see java.lang.SecurityManager#checkSecurityAccess(java.lang.String)
     */
    @Override
    public void checkSecurityAccess(final String target)
    {
        // The security manager accepts operation of this kind
    }
}