/*
 * @(#) DSOLApplet.java Nov 5, 2003 Copyright (c) 2002-2005 Delft University of
 * Technology Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved.
 * This software is proprietary information of Delft University of Technology
 * The code is published under the Lesser General Public License
 */
package nl.tudelft.simulation.dsol.gui.applets;

import javax.swing.JApplet;

import nl.tudelft.simulation.dsol.gui.DSOLApplication;
import nl.tudelft.simulation.language.io.URLResource;

/**
 * @author peter
 */
public class DSOLApplet extends JApplet
{
    /**
     * constructs a new DSOLApplet
     */
    public DSOLApplet()
    {
        super();
    }

    /**
     * @see java.applet.Applet#init()
     */
    @Override
    public void init()
    {
        super.init();
        String navigation = this.getParameter("navigation");
        if (navigation == null)
        {
            navigation = "/navigation.xml";
        }
        new DSOLApplication(URLResource.getResource(navigation));
    }

    /**
     * @see java.lang.Object#finalize()
     */
    @Override
    protected void finalize() throws Throwable
    {
        this.stop();
        super.finalize();
    }
}