/*
 * @(#) WaitingFrame.java Nov 5, 2003 Copyright (c) 2002-2005 Delft University
 * of Technology Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights
 * reserved. This software is proprietary information of Delft University of
 * Technology The code is published under the Lesser General Public License
 */
package nl.tudelft.simulation.dsol.gui.panels;

import java.awt.Dimension;

import javax.swing.JFrame;
import javax.swing.JTextField;

/**
 * The Waiting Frame <br>
 * (c) copyright 2002-2005 <a href="http://www.simulation.tudelft.nl">Delft
 * University of Technology </a>, the Netherlands. <br>
 * See for project information <a
 * href="http://www.simulation.tudelft.nl">www.simulation.tudelft.nl </a> <br>
 * License of use: <a href="http://www.gnu.org/copyleft/lesser.html">Lesser
 * General Public License (LGPL) </a>, no warranty.
 * 
 * @version $Revision: 1.5 $ $Date: 2005/07/04 12:23:14 $
 * @author <a href="http://www.peter-jacobs.com">Peter Jacobs </a>
 */
public class WaitingFrame extends JFrame
{
    /**
     * constructs a new WaitingFrame
     */
    public WaitingFrame()
    {
        super("One moment please...");
        TablePanel panel = new TablePanel(1, 1);
        panel.setPreferredSize(new Dimension(300, 60));
        panel.setCell(new ContentPane(), 0, 0);
        this.setContentPane(panel);
        this.setLocation(300, 300);
        this.pack();
        this.setVisible(true);
    }

    /**
     * A ContentPane
     */
    private class ContentPane extends JTextField
    {
        /**
         * constructs a new ContentPane
         */
        public ContentPane()
        {
            super("One moment please....");
            this.setEditable(false);
        }
    }
}